Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.event
Class LocalSearchSolverPhaseLifecycleListenerAdapter

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter

All Implemented Interfaces:
  EventListener, LocalSearchSolverPhaseLifecycleListener

Direct Known Subclasses:
  AbstractAcceptor, AbstractForager, AbstractSelector

    public abstract class LocalSearchSolverPhaseLifecycleListenerAdapter

extends Object
implements LocalSearchSolverPhaseLifecycleListener

Constructor Summary
`LocalSearchSolverPhaseLifecycleListenerAdapter()`

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `stepDecided(LocalSearchStepScope localSearchStepScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSearchSolverPhaseLifecycleListenerAdapter

    public LocalSearchSolverPhaseLifecycleListenerAdapter()

Method Detail

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### beforeDeciding

    public void beforeDeciding(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `beforeDeciding` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepDecided

    public void stepDecided(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepDecided` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.